<?php
/**
 * Displays static hero
 *
 * @package WordPress
 * @subpackage tlcbase
 * @since 1.0
 * @version 1.0
 */

?>
<header class="siteHero">
  <section class="hero">
    <?php
    if ( is_front_page()  ) {
      // Default homepage
      // query for the about page
      $hero = new WP_Query( 'pagename=home' );
      // "loop" through query (even though it's just one page)
      while ( $hero->have_posts() ) : $hero->the_post(); ?>
      <article class="news_item item_image_hero" style="background-image: url('<?php the_post_thumbnail_url() ?>');">
          <div class="item_content">
            <?php
            the_title( '<h1>', '</h1>' );
            the_content( '<p>', '</p>' );
            ?>
            <?php if( get_field('hero-btn-primary') ): ?>
            <a class="btn btn-primary-hero" href="<?php echo get_post_meta($post->ID, 'hero-btn-primary-link', true); ?>"><?php echo get_post_meta($post->ID, 'hero-btn-primary', true); ?></a>
            <?php endif; ?>
            <?php if( get_field('hero-btn-secondary') ): ?>
            <a class="btn btn-hero external" href="<?php echo home_url(); echo get_post_meta($post->ID, 'hero-btn-secondary-link', true); ?>"><?php echo get_post_meta($post->ID, 'hero-btn-secondary', true); ?></a>
             <?php endif; ?>
             <?php if ( has_nav_menu( 'top-social' ) ) : ?>
                <?php get_template_part( 'template-parts/navigation/navigation', 'social' ); ?>
             <?php endif; ?>
            <?php
            endwhile;
            // reset post data (important!)
            wp_reset_postdata();
          }
          elseif ( is_home() ) {
            // Default posts page
            ?>

            <?php if(is_home()) {
    $img = wp_get_attachment_image_src(get_post_thumbnail_id(get_option('page_for_posts')),'full');
    $featured_image = $img[0];
}?>
            <article class="news_item item_image_hero" style="background-image: url('<?php echo $featured_image ?>');">
                <div class="item_content">
                  <?php
                  single_post_title( '<h1>', '</h1>'  );
           } else {
            //everything else
            ?>
            <article class="news_item item_image_hero" style="background-image: url('<?php the_post_thumbnail_url() ?>');">
            <?php
            while ( have_posts() ) : the_post();

            endwhile; // End of the loop.
          }?>
    </article>
  </section>
               <?php if( get_field('story-h2') ): ?>
                              <div data-rellax-percentage=".5" data-rellax-speed="4" class="cards-hero rellax"></div>
              <div class="zak-container">
             <div class="zak-hero"></div>
             <div data-rellax-percentage=".5" data-rellax-speed="-2" class="balloon-hero-container rellax">
               <div class="balloon-hero"></div>
            </div>
        </div>
             <div id="story" class="story-title"></h2>
             <h2 ><?php echo get_post_meta($post->ID, 'story-h2', true); ?></h2>
             </div>
             <?php endif; ?>
</header>